---
title: DocumentTimeline.DocumentTimeline()
slug: Web/API/DocumentTimeline/DocumentTimeline
tags:
  - API
  - Animation
  - Constructor
  - DocumentTimeline
  - DocumentTimeline()
  - Reference
  - waapi
  - web animations api
---
<p>{{ SeeCompatTable() }}{{ APIRef("Web Animations API") }}</p>

<p>The <strong><code>DocumentTimeline()</code></strong> constructor of the <a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a> creates a new instance of the {{domxref("DocumentTimeline")}} object associated with the active document of the current browsing context.</p>

<h2 id="Syntax">Syntax</h2>

<div class="syntaxbox">
<pre class="brush: js notranslate">var sharedTimeline = new DocumentTimeline(<em>options</em>);</pre>
</div>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>options</dt>
 <dd>An object specifying options for the new timeline. Currently the only supported option is the <code>originTime</code> member which specifies the zero time for the <code>documentTimeline</code> as a real number of milliseconds relative to the {{domxref("PerformanceTiming.navigationStart","navigationStart")}} moment of the active document for the current browsing context.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>We could share a single <code>documentTimeline</code> among multiple animations, thus allowing us to manipulate just that group of animations via their shared timeline. This bit of code would start all the cats animating 500 milliseconds into their animations:</p>

<pre class="brush: js notranslate">var cats = document.querySelectorAll('.sharedTimelineCat');
cats = Array.prototype.slice.call(cats);

var sharedTimeline = new DocumentTimeline({ originTime: 500 });

cats.forEach(function(cat) {
  var catKeyframes = new KeyframeEffect(cat, keyframes, timing);
  var catAnimation = new Animation(catKeyframes, sharedTimeline);
  catAnimation.play();
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#dom-documenttimeline-documenttimeline', 'DocumentTimeline()' )}}</td>
   <td>{{Spec2('Web Animations')}}</td>
   <td>Editor's draft.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DocumentTimeline.DocumentTimeline")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("AnimationTimeline")}}</li>
 <li>{{domxref("DocumentTimeline")}}</li>
</ul>
